import { RevertableEvent } from "@skeldjs/events";
import { RepairSystemMessage } from "@skeldjs/protocol";
import { Hostable } from "../../Hostable";
import { PlayerData } from "../../PlayerData";
import { SecurityCameraSystem } from "../../systems";
import { ProtocolEvent } from "../ProtocolEvent";
import { RoomEvent } from "../RoomEvent";
import { SecurityCameraEvent } from "./SecurityCameraEvent";
/**
 * Emitted when a player starts watching security cameras.
 */
export declare class SecurityCameraJoinEvent<RoomType extends Hostable = Hostable> extends RevertableEvent implements RoomEvent, SecurityCameraEvent, ProtocolEvent {
    readonly room: RoomType;
    readonly security: SecurityCameraSystem<RoomType>;
    readonly message: RepairSystemMessage | undefined;
    /**
     * The player that went onto the security cameras.
     */
    readonly player: PlayerData<RoomType>;
    static eventName: "security.cameras.join";
    eventName: "security.cameras.join";
    constructor(room: RoomType, security: SecurityCameraSystem<RoomType>, message: RepairSystemMessage | undefined, 
    /**
     * The player that went onto the security cameras.
     */
    player: PlayerData<RoomType>);
}
//# sourceMappingURL=Join.d.ts.map