"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlayerCompleteTaskEvent = void 0;
const events_1 = require("@skeldjs/events");
/**
 * Emitted when a player completes one of their tasks.
 */
class PlayerCompleteTaskEvent extends events_1.BasicEvent {
    constructor(room, player, message, 
    /**
     * The state of the task that the player completed.
     */
    task) {
        super();
        this.room = room;
        this.player = player;
        this.message = message;
        this.task = task;
        this.eventName = "player.completetask";
    }
}
exports.PlayerCompleteTaskEvent = PlayerCompleteTaskEvent;
PlayerCompleteTaskEvent.eventName = "player.completetask";
//# sourceMappingURL=CompleteTask.js.map