import { Hostable } from "../Hostable";
export declare enum VoteStateSpecialId {
    IsDead = 252,
    SkippedVote = 253,
    MissedVote = 254,
    NotVoted = 255
}
/**
 * Represents a player's voting state.
 */
export declare class PlayerVoteState<RoomType extends Hostable = Hostable> {
    readonly room: RoomType;
    playerId: number;
    votedForId: number;
    constructor(room: RoomType, playerId: number, votedForId: number);
    /**
     * The player that this vote state is for.
     */
    get player(): import("..").PlayerData<RoomType> | undefined;
    /**
     * Whether the player that this state represents is dead.
     */
    get isDead(): boolean;
    /**
     * Whether this player didn't vote by the end of the meeting.
     */
    get didMissVote(): boolean;
    /**
     * Whether this player skipped voting.
     */
    get didSkip(): boolean;
    /**
     * Whether this player has either voted for a player or voted to skip.
     */
    get hasVoted(): boolean;
    /**
     * The player that this player voted for, if any.
     */
    get votedFor(): import("..").PlayerData<RoomType> | undefined;
}
//# sourceMappingURL=PlayerVoteState.d.ts.map